import { PaginationMode } from './types';
export declare type DataGridStylesParams = {
    height?: string | number;
    width?: string | number;
    noEllipsis?: boolean;
    withFixedHeader?: boolean;
    paginationMode?: PaginationMode;
};
declare const _default: (params: DataGridStylesParams, options?: import("@mantine/core").UseStylesOptions<"table" | "tbody" | "td" | "th" | "thead" | "tr" | "filter" | "pagination" | "wrapper" | "scrollArea" | "headerCellContent" | "headerCellButtons" | "dataCellContent" | "resizer" | "isResizing" | "sorter" | "globalFilter" | "pagination_info" | "pagination_size" | "pagination_page"> | undefined) => {
    classes: Record<"table" | "tbody" | "td" | "th" | "thead" | "tr" | "filter" | "pagination" | "wrapper" | "scrollArea" | "headerCellContent" | "headerCellButtons" | "dataCellContent" | "resizer" | "isResizing" | "sorter" | "globalFilter" | "pagination_info" | "pagination_size" | "pagination_page", string>;
    cx: (...args: any) => string;
    theme: import("@mantine/core").MantineTheme;
};
export default _default;
