/// <reference types="react" />
import { FilterFn, Table } from '@tanstack/react-table';
import { DataGridLocale } from './types';
declare type GlobalFilterProps<TData> = {
    table: Table<TData>;
    className: string;
    locale?: DataGridLocale;
};
export declare function GlobalFilter<TData>({ table, className, locale }: GlobalFilterProps<TData>): JSX.Element;
export declare const globalFilterFn: FilterFn<any>;
export {};
