import { OperatorFilterOptions } from './createOperatorFilter';
import { DataGridFilterInput, DataGridFilterOperator } from './types';
declare type BooleanInputOptions = {
    variant?: 'segmented' | 'radio';
    trueLabel?: string;
    falseLabel?: string;
};
export declare function createBooleanFilterInput({ variant, trueLabel, falseLabel, }: BooleanInputOptions): DataGridFilterInput<boolean>;
export declare const booleanOperators: {
    equals: (options?: BooleanInputOptions) => DataGridFilterOperator<boolean, boolean>;
};
export declare function createBooleanFilter(options?: Partial<OperatorFilterOptions<boolean, boolean>> & BooleanInputOptions): import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<boolean>>;
export declare const booleanFilterFn: import("./types").DataGridFilterFn<any, import("./types").DataGridFilterState<boolean>>;
export {};
